Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(399)

Issue 29730644: Issue 6514 - IOToggle Custom Element (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 8 months ago by a.giammarchi
Modified:
1 year, 7 months ago
Visibility:
Public.

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 59

Patch Set 4 : applied changes #

Total comments: 4

Patch Set 5 : applied latest required changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+316 lines, -11 lines) Patch
M .eslintrc.json View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M .gitignore View 1 2 3 4 1 chunk +3 lines, -2 lines 0 comments Download
M .hgignore View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
A css/io-toggle.scss View 1 2 3 1 chunk +93 lines, -0 lines 0 comments Download
M js/io-element.js View 1 2 3 2 chunks +86 lines, -1 line 0 comments Download
A js/io-toggle.js View 1 2 3 1 chunk +89 lines, -0 lines 0 comments Download
M package.json View 1 2 3 1 chunk +5 lines, -4 lines 0 comments Download
M tests/io-element.js View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
A tests/io-toggle.html View 1 2 3 1 chunk +32 lines, -0 lines 0 comments Download
A tests/io-toggle.js View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 14
a.giammarchi
This is a testable, stand-alone, Custom Element that looks already like every button role="checkbox" we ...
1 year, 8 months ago (2018-03-22 18:23:56 UTC) #1
a.giammarchi
Thomas, Manvel, please have a look at this very first component that is still in ...
1 year, 7 months ago (2018-04-25 12:27:08 UTC) #2
a.giammarchi
Forgot to add the live demo: https://webreflection.github.io/eyeo/custom-elements/smoke/io-toggle.html
1 year, 7 months ago (2018-04-25 12:27:36 UTC) #3
saroyanm
This overall looks good, just couple of clarification comments and suggestions. https://codereview.adblockplus.org/29730644/diff/29733654/css/io-toggle.scss File css/io-toggle.scss (right): ...
1 year, 7 months ago (2018-04-25 17:05:02 UTC) #4
Thomas Greiner
Sorry for the long wait. Looks like that review was created while I was on ...
1 year, 7 months ago (2018-04-25 17:29:14 UTC) #5
a.giammarchi
Thanks a LOT for finally reviewing this! I have hopefully clarified few points, answered others, ...
1 year, 7 months ago (2018-04-26 10:44:52 UTC) #6
Thomas Greiner
It'd be great if we could find a balance between making it easy to write ...
1 year, 7 months ago (2018-04-26 17:00:53 UTC) #7
a.giammarchi
working on the rest. https://codereview.adblockplus.org/29730644/diff/29733654/css/io-toggle.scss File css/io-toggle.scss (right): https://codereview.adblockplus.org/29730644/diff/29733654/css/io-toggle.scss#newcode2 css/io-toggle.scss:2: --width: 30px; On 2018/04/26 17:00:51, ...
1 year, 7 months ago (2018-04-27 10:59:05 UTC) #8
a.giammarchi
I have done some cleanup and I should've addressed all required changes. Please let me ...
1 year, 7 months ago (2018-04-27 14:12:33 UTC) #9
saroyanm
https://codereview.adblockplus.org/29730644/diff/29763743/css/io-toggle.scss File css/io-toggle.scss (right): https://codereview.adblockplus.org/29730644/diff/29763743/css/io-toggle.scss#newcode28 css/io-toggle.scss:28: background-color: #9b9b9b; There were some complex discussions, regarding SASS.. ...
1 year, 7 months ago (2018-05-02 10:59:17 UTC) #10
Thomas Greiner
Just two small things left. https://codereview.adblockplus.org/29730644/diff/29733654/css/io-toggle.scss File css/io-toggle.scss (right): https://codereview.adblockplus.org/29730644/diff/29733654/css/io-toggle.scss#newcode2 css/io-toggle.scss:2: --width: 30px; On 2018/04/27 ...
1 year, 7 months ago (2018-05-02 11:53:29 UTC) #11
a.giammarchi
Addressed last changes asked by Thomas https://codereview.adblockplus.org/29730644/diff/29763743/skin/io-toggle.css File skin/io-toggle.css (right): https://codereview.adblockplus.org/29730644/diff/29763743/skin/io-toggle.css#newcode1 skin/io-toggle.css:1: io-toggle { On ...
1 year, 7 months ago (2018-05-02 12:13:57 UTC) #12
Thomas Greiner
LGTM
1 year, 7 months ago (2018-05-02 12:15:14 UTC) #13
a.giammarchi
1 year, 7 months ago (2018-05-02 14:09:45 UTC) #14
Moved into Gitlab:
https://gitlab.com/eyeo/adblockplus/adblockplusui/merge_requests/12

Closing this codereview.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5